Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.hierarchy
Class J3DeImageComponent

    java.lang.Object
      j3deditor.bin.hierarchy.HierarchyNode
          j3deditor.bin.hierarchy.J3DeImageComponent

    public class J3DeImageComponent

extends HierarchyNode

Utility for manipulating `javax.media.j3d.ImageComponent`.

Author:
  Risto Seene
See Also:
  `ImageComponent`

Constructor Summary
`J3DeImageComponent(javax.media.j3d.ImageComponent image)` Creates an instance of `J3DeImageComponent` with the given `ImageComponent`.

Method Summary
`static javax.media.j3d.ImageComponent3D[]` | `createImageComponents(java.awt.Image[] images, int levels)` Creates an array of `ImageComponent3D` objects with the size of "levels" using the specified images.
`static javax.media.j3d.ImageComponent2D[]` | `createImageComponents(java.awt.Image image, int levels)` Creates an array of `ImageComponent2D` objects with the size of "levels" using the specified image.
`javax.media.j3d.ImageComponent` | `getComponent()` Returns `ImageComponent` from this `J3DeImageComponent`.
`java.awt.Image` | `getImage(int index)` Returns an image from this ImageComponent.
`static boolean` | `hasAlpha(java.awt.Image image)` Tests if the specified image has alpha channel.
`void` | `setComponent(javax.media.j3d.ImageComponent component)` Sets the specified `ImageComponent` to this `J3DeImageComponent`.
`void` | `setImage(java.awt.Image image, int index)` Applies the specified image to this ImageComponent.
`static java.awt.image.BufferedImage` | `toBufferedImage(java.awt.Image image)` Converts `Image` to `BufferedImage`.

Methods inherited from class j3deditor.bin.hierarchy.HierarchyNode
`clone, equals, getChild, getIndex, getIndexOfChild, getNumberOfChildren, getParent, getParent, getType, hasNamedChild, removeChild, setName, setParent, toString, updateName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### J3DeImageComponent

    public J3DeImageComponent(javax.media.j3d.ImageComponent image)

  Creates an instance of `J3DeImageComponent` with the given `ImageComponent`.

  Parameters:
    `image` - `ImageComponent` to be applied to this node

Method Detail

### toBufferedImage

    public static java.awt.image.BufferedImage toBufferedImage(java.awt.Image image)

  Converts `Image` to `BufferedImage`.

  Parameters:
    `image` - image to be converted
  Returns:
    `BufferedImage` created from `Image`

### hasAlpha

    public static boolean hasAlpha(java.awt.Image image)

  Tests if the specified image has alpha channel.

  Parameters:
    `image` - image to be tested
  Returns:
    true if the specified image has alpha channel, otherwise false

### getImage

    public java.awt.Image getImage(int index)

  Returns an image from this ImageComponent.

  Parameters:
    `index` - index of image (ImageComponent3D)
  Returns:
    image from the specified index

### setImage

    public void setImage(java.awt.Image image,
                         int index)

  Applies the specified image to this ImageComponent.

  Parameters:
    `image` - image to be applied
    `index` - index of image (ImageComponent3D)

### getComponent

    public javax.media.j3d.ImageComponent getComponent()

  Returns `ImageComponent` from this `J3DeImageComponent`.

  Returns:
    `ImageComponent` from this `J3DeImageComponent`

### setComponent

    public void setComponent(javax.media.j3d.ImageComponent component)

  Sets the specified `ImageComponent` to this `J3DeImageComponent`.

  Parameters:
    `component` - ImageComponent

### createImageComponents

    public static javax.media.j3d.ImageComponent2D[] createImageComponents(java.awt.Image image,
                                                                           int levels)

  Creates an array of `ImageComponent2D` objects with the size of "levels" using the specified image.

  Parameters:
    `image` - image from which this ImageComponent will be created
    `levels` - number of mipmap levels
  Returns:
    an array of `ImageComponent2D` objects

### createImageComponents

    public static javax.media.j3d.ImageComponent3D[] createImageComponents(java.awt.Image[] images,
                                                                           int levels)

  Creates an array of `ImageComponent3D` objects with the size of "levels" using the specified images.

  Parameters:
    `images` - images from which this ImageComponent will be created
    `levels` - number of mipmap levels
  Returns:
    an array of `ImageComponent3D` objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD